- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# tower_workflow_launch – Run a workflow in Ansible Tower

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Launch an Ansible Tower workflows. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
extra_vars - |  | Any extra vars required to launch the job.
timeout - |  | If waiting for the workflow to complete this will abort after this amount of seconds
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
validate_certs boolean | Choices: no yes | Whether to allow insecure connections to Tower. If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates. aliases: tower_verify_ssl
wait boolean | Choices: no yes ← | Wait for the workflow to complete.
workflow_template - / required |  | The name of the workflow template to run.

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.

- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Launch a workflow
      tower_workflow_launch:
        workflow_template: "Test Workflow"
      delegate_to: localhost
      run_once: true
      register: workflow_results

    - name: Launch a Workflow with parameters without waiting
      tower_workflow_launch:
        workflow_template: "Test workflow"
        extra_vars: "---
    my: var"
        wait: False
      delegate_to: localhost
      run_once: true
      register: workflow_task_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
job_info dictionary | If workflow launched | dictionary containing information about the workflow executed
tower_version string | If connection to Tower works | The version of Tower we connected to Sample: 3.4.0

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- John Westcott IV (@john-westcott-iv)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.